## chrony 4.6.1

=== test/kernel/Makefile ===
CFLAGS=-O2 -Wall
PROGS=adjtime ntpadjtime

all: $(PROGS)

clean:
	rm -f $(PROGS)

## chrony 1.29

=== debian/changelog ===
chrony (1.29-1ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Heap-based buffer overflow
    - debian/patches/CVE-2015-1821.patch: Fix access configuration with
      subnet size indivisible by 4.
    - CVE-2015-1821
  * SECURITY UPDATE: DoS (uninitialized pointer dereference and daemon
    crash) or possibly execute arbitrary code via a large number of
    command requests.
    - debian/patches/CVE-2015-1822.patch: Fix initialization of allocated
      reply slots.
    - CVE-2015-1822
  * SECURITY UPDATE: Authentication doesn't protect symmetric associations
    against DoS attacks
    - debian/patches/CVE-2015-1853.patch: Protect authenticated symmetric
      associations against DoS attacks.
    - CVE-2015-1853
  * SECURITY UPDATE: Remote attackers to conduct impersonation attacks via
    an arbitrary trusted key, aka a "skeleton key".
    - debian/patches/CVE-2016-1567.patch: restrict authentication of
      server/peer to specified key.
    - CVE-2016-1567

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 05 Dec 2018 17:57:24 -0200

chrony (1.29-1) unstable; urgency=medium

  * New upstream release with some bugfixes:
    - Closes: #719132: new upstream version, fixes security bugs.
    - Closes: #719203: Fixing vulnerabilities:
        CVE-2012-4502 - Buffer overflow,
        CVE-2012-4503 - Uninitialized data.

  * debian/control:
    - Set myself as new maintainer. Closes: #705768
    - Bump to Standards-Version 3.9.5.
    - Move to debhelper >= 9 and compat level 9.
    - Update package descriptions.
    - Add Vcs fields to new git repository.
    - Add dependency to lsb-base (for init script).
    - Add build dependency to libtomcrypt-dev.
  * Move to source format 3.0 (quilt).
  * Add the following patch files:  (Closes: #637514)
    - 01_fix-small-typo-in-manpages
    - 03_recreate-always-getdate-c
    - 04_do-not-look-for-ncurses    (Closes: #646732)
    - 05_disable-installation-of-license
  * debian/rules:
    - Move to dh-based rules file.
    - Enable parallel builds.

  * Add debian/watch file.
  * Full update of debian/copyright file.
  * Add debian/doc-base file.
  * Full update of debian/README.Debian file.
  * Update debian/postinst, debian/postrm, debian/prerm. 
  * Remove obsolete debian/preinst. Reduce mailing within postinst.
  * Do not use old md5sum file anymore for ucf in postinst script.
  * Add status action in init script (debian/init). Closes: #652207
  * Add debian/install file for installing example of chrony.conf.
  * Reduce debian/dirs file for use with debhelper 9.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Fri, 20 Dec 2013 23:35:25 +0100

chrony (1.26-4) unstable; urgency=low

  * QA upload.
  * Depend on net-tools, for netstat (closes: #707260).

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Jul 2013 18:00:45 +0100

chrony (1.26-3) unstable; urgency=low

  * Orphaned.

 -- John G. Hasler <jhasler@debian.org>  Fri, 19 Apr 2013 13:08:31 -0500

chrony (1.26-2) unstable; urgency=low

  * Fixed Makefile.in so that getdate.c gets made (and removed
    in "clean").  This will go upstream.  Moved faq stuff in rules
    from binary-indep to binary-arch.
  * Restored accidently deleted nmu changelog entry.
  
  * Applied patch from Moritz Muehlenhoff <jmm@debian.org>
    Closes: #655123 Please enabled hardened build flags

  * Fixed upstream.
    Closes: #518385 Chrony segfaults on startup (narrowed down to
    chronyc and "burst")
  
  * Added DEB_BUILD_OPTIONS=noopt to rules.
    Added build-arch and build-indep to rules.
    Prefix is now 'usr'.
    Changed to dh_installman.
    Fixed "clean:" target.
    Closes: #479389 Improvements for debian/rules
  
  * Fixed upstream.
    Closes: #195620 Strange "System time : xxx seconds slow of NTP time"
    output
  
  * Upstream changes should have fixed this.  
    Closes:#294030 chronyd makes the whole system briefly (< 1 second) 
    freeze
  
  * Fixed by upstream changes and new LSB headers.
    Closes: #407466 Chrony won't access hardware clock but prevents 
    hwclock from doing so either
  
 -- John G. Hasler <jhasler@debian.org>  Sun, 01 Jul 2012 22:05:56 -0500

chrony (1.26-1) unstable; urgency=low

  * New upstream release
    Closes: #348554: chrony and hwclock packages not coordinated.
    Closes: #572964: RTC support is missing.
    Closes: #642209: add RTC support for linux 3.0.
    Closes: #644241: new upstream version 1.26 available.
   
  * Applied patches from Joachim Wiedorn <ad_debian@joonet.de>:
    Fixed several typos in man pages and README.
    Added version.h.
    Moved default chrony.conf to debian/ .  
    Renamed cron and init files.
    Removed debian/NEWS.Debian, debian/info.
    Added debian/clean.
    Updated debian/copyright.  COPYING stays.  Upstream requires it.
    Fixed debian/menu, debian/control, updated debian/compat.
    Added "--without-readline" to debian/rules: rewrite later.
    Minor fixes to initscript: rewrite later.
  
    Closes: #646732 Move from readline support to editline support.
    Closes: #598253 Fix typo in LSB init headers ($hwclock to $time).
    Closes: #600403 Fix init check with PPP connection.
  
 -- John G. Hasler <jhasler@debian.org>  Sun, 17 Jun 2012 21:55:47 -0500
  

chrony (1.24-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch (directly over the source...), to work with kernels > 3.0.0,
    by Paul Martin at http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=628919#15.
    (Closes: #628919)
  * Fix readline build-depends from "libreadline5-dev | libreadline-dev" to
    libreadline-gplv2-dev because chrony is GPLv2 only.  (Closes: #634447)
  * Update copyright file to say that chrony is GPLv2 only. (Closes: #637526)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 12 Aug 2011 12:32:26 +0200
  

chrony (1.24-3) unstable; urgency=high

  * Applied (modifed) patch from Gregor Herrmann.
  
    Closes: #593145: fails to configure on installation


=== debian/control ===
Source: chrony
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Joachim Wiedorn <ad_debian@joonet.de>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
 texinfo, bison,
 libedit-dev,
 libnss3-dev,
 libtomcrypt-dev,
 dpkg-dev (>= 1.16.1~)
Homepage: http://chrony.tuxfamily.org
Vcs-Git: git://anonscm.debian.org/collab-maint/chrony.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/chrony.git

Package: chrony
Architecture: linux-any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ucf, timelimit,
 install-info,
 net-tools,
 lsb-base
Recommends: udev (>= 0.124-1)
Conflicts: time-daemon, ntp
Provides: time-daemon
Replaces: time-daemon
Description: Set the computer clock from time servers on the Net
 It consists of a pair of programs:
 .
 chronyd:  This is a daemon which runs in background on the system.
 It obtains measurements (e.g. via the network) of the system's offset
 relative to other systems and adjusts the system time accordingly. For
 isolated systems, the user can periodically enter the correct time by
 hand (using 'chronyc'). In either case 'chronyd' determines the rate
 at which the computer gains or loses time, and compensates for this.
 Chronyd implements the NTP protocol and can act as either a client or
 a server.
 .
 chronyc: This is a command-line driven control and monitoring program.
 An administrator can use this to fine-tune various parameters within
 the daemon, add or delete servers etc whilst the daemon is running.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

BASE=debian/chrony

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure --  --mandir=/usr/share/man \
	    --sysconfdir=/etc/chrony  --without-readline

override_dh_auto_build:
	dh_auto_build
	make docs

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	dh_install
	install -m 0755 -T debian/apm   $(BASE)/etc/apm/event.d/01chrony
	install -m 0755 -T debian/ip-up  $(BASE)/etc/ppp/ip-up.d/chrony
	install -m 0755 -T debian/ip-down $(BASE)/etc/ppp/ip-down.d/chrony

override_dh_installinit:
	# set boot sequence number for old sysv-rc style
	dh_installinit --update-rcd-params="defaults 83"

=== debian/watch ===
# watch control file for uscan
version=3
http://download.tuxfamily.org/chrony/chrony-(\d\.\d+)\.tar\.gz

## chrony 1.29.1

=== debian/changelog ===
chrony (1.29.1-1) unstable; urgency=high

  * New upstream release with bugfix:
    - Closes: #737644: Fixing vulnerability:
        CVE-2014-0021 - traffic amplification in cmdmon protocol
        (incompatible with previous protocol version, but chronyc
        supports both).

 -- Joachim Wiedorn <ad_debian@joonet.de>  Thu, 06 Feb 2014 15:51:47 +0100

## chrony 1.30

=== debian/changelog ===
chrony (1.30-2+deb8u2) jessie; urgency=medium

  * Fix CVE-2016-1567: Restrict authentication of server/peer to specified
    key. (Closes: #812923)

  * debian/postrm:
    - Remove /var/lib/chrony on purge only. (Closes: #568492)

  * debian/logrotate:
    - Rework postrotate script. (Closes: #763542)

 -- Vincent Blut <vincent.debian@free.fr>  Sat, 21 May 2016 02:27:34 +0200

chrony (1.30-2+deb8u1) jessie; urgency=medium

  * Build depend on libcap-dev. Without it, chronyd can’t drop root
    privileges. (Closes: #768803)

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 09 Sep 2015 19:50:09 +0200

chrony (1.30-2) unstable; urgency=medium

  * With the following security bugfixes (Closes: #782160):
    - Fix CVE-2015-1853: Protect authenticated symmetric NTP
                         associations against DoS attacks.
    - Fix CVE-2015-1821: Fix access configuration with subnet
                         size indivisible by 4.
    - Fix CVE-2015-1822: Fix initialization of reply slots for
                         authenticated commands.
  * debian/control:
   - Update e-mail address of myself.
   - Add Vincent Blut as co-maintainer.

 -- Joachim Wiedorn <joodebian@joonet.de>  Fri, 10 Apr 2015 11:41:31 +0200

chrony (1.30-1) unstable; urgency=medium

  * New upstream release with following bugfixes:
    - Fix crash when selecting with multiple preferred sources.
    - Fix frequency calculation with large frequency offsets.
    - Fix code writing drift and RTC files to compile correctly.
    - Fix -4/-6 options in chronyc to not reset hostname set by -h.
    - Fix refclock sample validation with sub-second polling interval.
    - Set stratum correctly with non-PPS SOCK refclock and local stratum.
    - Modify dispersion accounting in refclocks to prevent PPS getting
        stuck with large dispersion and not accepting new samples.
    - Move faq.txt (PHP style) to a plain text file FAQ. Closes: #415729

  * Add gpg signature of upstream developer for use with uscan.
  * Update debian/watch, add check of upstream gpg signature.
  * Update all patches.

  * Bugfix: Use /etc/adjtime in postinst script to recognize
      UTC hardware clock.  Closes: #680498
  * Use logrotate instead of cron script. Closes: #323966
  * debian/rules: disable test simulation.

  * debian/control: remove obsolete build dependency to dpkg-dev.
  * debian/install, debian/dirs, debian/clean: Update.
  * debian/copyright: Update and add entries.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sun, 10 Aug 2014 19:10:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: chrony
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joachim Wiedorn <ad_debian@joonet.de>
+Maintainer: Joachim Wiedorn <joodebian@joonet.de>
+Uploaders: Vincent Blut <vincent.debian@free.fr>
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9),
  texinfo, bison,
  libedit-dev,
  libnss3-dev,
  libtomcrypt-dev,
- dpkg-dev (>= 1.16.1~)
+ libcap-dev
 Homepage: http://chrony.tuxfamily.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/chrony.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/chrony.git

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
 
 BASE=debian/chrony
 
@@ -27,3 +26,6 @@
 	# set boot sequence number for old sysv-rc style
 	dh_installinit --update-rcd-params="defaults 83"
 
+override_dh_auto_test:
+	# tests disabled
+

=== debian/watch ===
# watch control file for uscan
version=3
opts=pgpsigurlmangle=s/\.tar\.gz$/-tar-gz-asc.txt/ \
http://download.tuxfamily.org/chrony/chrony-([\d\.]*)\.tar\.gz

## chrony 1.31.1

=== debian/changelog ===
chrony (1.31.1-2) unstable; urgency=medium

  * Rename the NEWS.Debian file to NEWS. dh_installchangelogs doesn’t seems
    to be able to deal with the former name.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 17 Sep 2015 21:50:30 +0200

chrony (1.31.1-1) unstable; urgency=medium

  * Import upstream version 1.31 and 1.31.1:
    - Please see /usr/share/doc/chrony/changelog.gz for release notes.

  * debian/chrony.conf:
    - Use the 'hwclockfile' directive. Avoid using text processing methods in
    the post install script to find out if the RTC keeps local time or UTC.
    (Closes: #778710)

  * debian/clean:
    - Add getdate.c

  * debian/control:
    - Move chrony from admin to net section.
    - Change priority from extra to optional.
    - Build depends on libcap-dev. (Closes: #768803)
    - Bump standards-version to 3.9.6 (no changes required).
    - Set myself as maintainer and Joachim as uploader.
    - Update Vcs-Browser URL to use cgit and https.
    - Build depends on pps-tools. Provides PPSAPI (RFC-2783) support.
    - Improve the synopsis.
    - Depend on util-linux (>= 2.20.1-5). Ensure that the 'UTC=' setting
    from the '/etc/default/rcS' file have been migrated to UTC/LOCAL in
    '/etc/adjtime'.
    - Depends on adduser. Needed to create "_chrony" system user/group.

  * debian/copyright:
    - Add myself to copyright holders.
    - Remove spaces from short name license (fix Lintian warning)
    - Filled short license field (RSA-MD) (fix Lintian warning)
    - Move comment to the "Comment:" field

  * debian/logrotate:
    - Simplify postrotate script. Thanks to Frédéric Brière
    <fbriere@fbriere.net> for reporting and diagnosing the issue.
    (Closes: #763542)

  * debian/patches:
    - Drop patches for issues fixed upstream.
    - Rename and update patch. Update the series file accordingly.

  * debian/postinst:
    - Pass the '--three-way' option to ucf.
    - Remove useless text processing methods as we now use the 'hwclockfile'
    directive. (Closes: #778711)
    - Create "_chrony" system user/group.
    - Update the "new_file" path in the ucf invocation.
    - Remove the MAILPASSWORD shell variable as we don’t use it.

  * debian/postrm:
    - Drop removal instruction of /etc/cron.weekly/chrony.
    - Remove "_chrony" system user/group on purge.
    - Don’t pass the --group option to deluser.

  * debian/NEWS.Debian:
    - New file incorporating worthwhile changes in this release.

  * debian/README.Debian:
    - Fix typo, thanks to Paul Gevers <elbrus@debian.org> for catching it.
    - Missing word added.

  * debian/rules:
    - Build with all hardening flags.
    - Ease the reading of configure options.
    - Specify "_chrony" as default chronyd user. This is the system user to
    which chronyd will drop root privileges. You'll find further information
    in /usr/share/doc/chrony/README.Debian.
    (Closes: #688971)

 -- Vincent Blut <vincent.debian@free.fr>  Sun, 6 Sep 2015 22:39:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: chrony
-Section: admin
-Priority: extra
-Maintainer: Joachim Wiedorn <joodebian@joonet.de>
-Uploaders: Vincent Blut <vincent.debian@free.fr>
-Standards-Version: 3.9.5
+Section: net
+Priority: optional
+Maintainer: Vincent Blut <vincent.debian@free.fr>
+Uploaders: Joachim Wiedorn <joodebian@joonet.de>
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
  texinfo, bison,
  libedit-dev,
  libnss3-dev,
  libtomcrypt-dev,
- libcap-dev
+ libcap-dev,
+ pps-tools (>= 0.20120406+g0deb9c7e-2)
 Homepage: http://chrony.tuxfamily.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/chrony.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/chrony.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/chrony.git
 
 Package: chrony
 Architecture: linux-any
@@ -21,12 +22,14 @@
  ucf, timelimit,
  install-info,
  net-tools,
- lsb-base
+ lsb-base,
+ adduser,
+ util-linux (>= 2.20.1-5)
 Recommends: udev (>= 0.124-1)
 Conflicts: time-daemon, ntp
 Provides: time-daemon
 Replaces: time-daemon
-Description: Set the computer clock from time servers on the Net
+Description: Versatile implementation of the Network Time Protocol
  It consists of a pair of programs:
  .
  chronyd:  This is a daemon which runs in background on the system.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 BASE=debian/chrony
 
@@ -7,7 +9,9 @@
 
 override_dh_auto_configure:
 	dh_auto_configure --  --mandir=/usr/share/man \
-	    --sysconfdir=/etc/chrony  --without-readline
+		--sysconfdir=/etc/chrony \
+		--without-readline \
+		--with-user=_chrony
 
 override_dh_auto_build:
 	dh_auto_build

## chrony 2.1.1

=== debian/changelog ===
chrony (2.1.1-1) unstable; urgency=medium

  * Import upstream version 2.0 and 2.1.1:
    - Please see /usr/share/doc/chrony/changelog.gz for the release notes.

  * debian/:
    - Rename ppp scripts from ip-{up,down} to chrony.ppp.ip-{up,down}.
    Necessary to let dh_installppp do its magic.

  * debian/chrony.conf:
    - Use the new 'pool' directive to specify the pool of NTP servers.
    - Use the iburst option to speed up the initial synchronization.
    - Drop the minpoll option. There is no point to deviate from upstream here.
    Consequently, the default minimum polling interval is now 64 seconds
    instead of 256 seconds.
    - Enable kernel synchronization of the RTC via the 'rtcsync' directive.
    - Drop the commented out 'rtcfile' directive in the configuration file.
    - Stricly act as an NTP client by default. Serving time to other systems
    should be the decision of the administrator(s). (Closes: #778770)
    - Clarify some comments.
    - Improve comment about the 'commandkey' directive.

  * debian/control:
    - Drop 'Recommends: udev (>= 0.124-1)' since it predates Debian squeeze.

  * debian/copyright:
    - Update copyright years.
    - Various cleanups.
    - Update relative to sys_macosx.{c,h} files.
    - The test/simulation/test.common file is under the GPL-2+ license.
    Thanks to Paul Gevers <elbrus@debian.org> for catching it.

  * debian/NEWS:
    - Comment the deactivation of the NTP server capability by default.

  * debian/patches/:
    - Refresh 01_do-not-install-copying-file.patch.

  * debian/README.Debian:
    - Fix misleading information.

  * debian/rules:
    - No need to install ppp scripts from the 'rules' script. Let dh_installppp
    handle that.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 18 Nov 2015 00:11:23 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
  lsb-base,
  adduser,
  util-linux (>= 2.20.1-5)
-Recommends: udev (>= 0.124-1)
 Conflicts: time-daemon, ntp
 Provides: time-daemon
 Replaces: time-daemon

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,6 @@
 override_dh_install:
 	dh_install
 	install -m 0755 -T debian/apm   $(BASE)/etc/apm/event.d/01chrony
-	install -m 0755 -T debian/ip-up  $(BASE)/etc/ppp/ip-up.d/chrony
-	install -m 0755 -T debian/ip-down $(BASE)/etc/ppp/ip-down.d/chrony
 
 override_dh_installinit:
 	# set boot sequence number for old sysv-rc style

## chrony 2.2.1

=== debian/changelog ===
chrony (2.2.1-1build1) yakkety; urgency=medium

  * No-change rebuild for libtommath soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Apr 2016 13:04:47 +0000

chrony (2.2.1-1) unstable; urgency=medium

  * Import upstream versions 2.2 and 2.2.1:
    - Please see /usr/share/doc/chrony/changelog.gz for the release notes.
    - The 2.2.1 release version fixes CVE-2016-1567. (Closes: #812923)

  * debian/chrony.conf:
    - Drop the commandkey directive. It is obsolete since the introduction of a
    Unix domain command socket in chrony 2.2.
    - Fix keyfile directive commentary.

  * debian/chrony.keys:
    - New file template.

  * debian/chrony.lintian-overrides:
    - New file used to force lintian to stop complaining about the “chrony.keys”
    file modes (0640).

  * debian/chrony.ppp.ip-down:
    - Drop obsolete authentication method to the chronyd daemon. This is now
    handled by the usage of a Unix domain command socket.

  * debian/chrony.ppp.ip-up:
    - Drop obsolete authentication method to the chronyd daemon. This is now
    handled by the usage of a Unix domain command socket.
    - Reinstate the “burst” chronyc command.

  * debian/control:
    - Build depend on libseccomp-dev ≥ 2.2.3-3~. We need it to provide syscall
    filtering.
    - Fix a typo relative to the name of an architecture.
    - Build depend on pkg-config.
    - Restrict libcap-dev build dependency on Linux only.
    - Depend on iproute2 instead of net-tools.
    - Drop timelimit dependency.
    - Update Vcs-Git to use HTTPS.
    - Bump standard-version to 3.9.7 (no changes required).

  * debian/copyright:
    - Update copyright year for debian/*.

  * debian/init:
    - Make use of “ip r” instead of “netstat -rn”. (Closes: #818234)
    - Delete unused “FLAGS” variable.
    - Do not execute ip and chronyc through timelimit.
    - Don’t call chronyc using its absolute path.
    - Check if the value of the DAEMON variable is executable.
    - Drop the two seconds delay as it should be unnecessary.
    - Drop obsolete authentication method from the putonline() function.
    - Fix indentation issue in the putonline() function.

  * debian/logrotate:
    - Do not pass the “-a” option to chronyc, it’s no longer necessary.

  * debian/NEWS:
    - Add a comment about the command key suppression from the “chrony.keys”
    file.

  * debian/patches/:
    - Drop 01_do-not-install-copying-file.patch, not needed anymore.
      ↳ Remove reference to that patch from the series file.

  * debian/postinst:
    - Do not create an ID/key pair for command authentication. Configuration
    and monitoring via chronyc is now done using Unix domain socket accessible
    by root or by the system user to which chronyd will drop root privileges,
    i.e. _chrony.

  * debian/postrm:
    - Remove /var/lib/chrony content only on purge. (Closes: #568492)

  * debian/README.Debian:
    - Drop obsolete statement.

  * debian/rules:
    - Build with --enable-scfilter.
    - Install the “chrony.keys” file in /etc/chrony/ with 0640 modes.
    - Override dh_fixperms to prevent it from modifying modes of the
    “chrony.keys” file. By default, dh_fixperms tries to set the default modes
    (0644).
    - Move the “chronyd.sock” file from /var/run/chrony to /run/chrony.

 -- Vincent Blut <vincent.debian@free.fr>  Sat, 19 Mar 2016 14:42:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,27 @@
 Priority: optional
 Maintainer: Vincent Blut <vincent.debian@free.fr>
 Uploaders: Joachim Wiedorn <joodebian@joonet.de>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9),
  texinfo, bison,
  libedit-dev,
  libnss3-dev,
  libtomcrypt-dev,
- libcap-dev,
- pps-tools (>= 0.20120406+g0deb9c7e-2)
+ libcap-dev [linux-any],
+ pps-tools (>= 0.20120406+g0deb9c7e-2),
+ libseccomp-dev (>= 2.2.3-3~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc ppc64 ppc64el s390x x32],
+ pkg-config
 Homepage: http://chrony.tuxfamily.org
-Vcs-Git: git://anonscm.debian.org/collab-maint/chrony.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/chrony.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/chrony.git
 
 Package: chrony
 Architecture: linux-any
 Depends: ${misc:Depends},
  ${shlibs:Depends},
- ucf, timelimit,
+ ucf,
  install-info,
- net-tools,
+ iproute2 [linux-any],
  lsb-base,
  adduser,
  util-linux (>= 2.20.1-5)

## chrony 2.3

=== debian/changelog ===
chrony (2.3-2) unstable; urgency=low

  * Cherry pick upstream patch to fix FTBFS on PowerPC, ppc64 and ppc64el
    architectures.

 -- Vincent Blut <vincent.debian@free.fr>  Fri, 20 May 2016 14:21:14 +0200

chrony (2.3-1) unstable; urgency=low

  * Import upstream version 2.3:
    - Please see /usr/share/doc/chrony/changelog.gz for the release notes.
    (Closes: #818235)

  * debian/chrony.conf:
    - Drop the “logchange” directive. Upstream has enabled “logchange” by
    default with a threshold of 1 second. We now use that instead of our custom
    threshold of 0,5 second which tended to spam syslog.
    - Remove obsolete comment.

  * debian/chrony.lintian-overrides:
    - Update “chrony.keys” path

  * debian/control:
    - Bump standard-version to 3.9.8 (no changes required).
    - Use HTTPS transport protocol for the homepage URL.

  * debian/copyright:
    - Add some entries about new or untracked files.

  * debian/postinst:
    - Move /usr/share/chrony/chrony.keys template to /etc/chrony using ucf.
    - Avoid displaying needless prompt when upgrading to chrony ≥ 2.2.1-1.
    (Closes: #820087)

  * debian/postrm:
    - Remove chrony.keys on purge.
    - Remove all vestiges of chrony.keys from the state hashfile.

  * debian/rules:
    - Re-enable test suite.
    - Remove dh_installinit override. The init script is LSB-compliant so
    passing the “default” option or the two-digit sequence number is unneeded.
    - Explicitly set the NTP era. With this change, the NTP time will be
    mapped from 1970-01-01T00:00:00Z to 2106-02-07T06:28:16Z. Thanks to this
    fixed value, chrony build should be reproducible.
    - Move the key file template (chrony.keys) in /usr/share/chrony.
    - Force /usr/share/chrony/chrony.keys to use 0640 modes.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 18 May 2016 23:13:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Vincent Blut <vincent.debian@free.fr>
 Uploaders: Joachim Wiedorn <joodebian@joonet.de>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
  texinfo, bison,
  libedit-dev,
@@ -13,7 +13,7 @@
  pps-tools (>= 0.20120406+g0deb9c7e-2),
  libseccomp-dev (>= 2.2.3-3~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc ppc64 ppc64el s390x x32],
  pkg-config
-Homepage: http://chrony.tuxfamily.org
+Homepage: https://chrony.tuxfamily.org
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/chrony.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/chrony.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

BASE=debian/chrony

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure --  --mandir=/usr/share/man \
		--sysconfdir=/etc/chrony \
		--without-readline \
		--with-user=_chrony \
		--enable-scfilter \
		--chronysockdir=/run/chrony \
		--with-ntp-era=$(shell date -d '1970-01-01 00:00:00+00:00' +'%s')

override_dh_auto_build:
	dh_auto_build
	make docs

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	dh_install
	install -m 0755 -T debian/apm   $(BASE)/etc/apm/event.d/01chrony
	install -m 0640 -t $(BASE)/usr/share/chrony/ debian/chrony.keys

override_dh_fixperms:
	dh_fixperms -X usr/share/chrony/chrony.keys

## chrony 2.4

=== debian/changelog ===
chrony (2.4-1) unstable; urgency=medium

  The “Fix decade-old bug reports” release.

  * Import upstream version 2.4:
    - Please see /usr/share/doc/chrony/changelog.gz for the release notes.

  * debian/chrony.if-{up,post-down}:
    - New scripts used to put chronyd online/offline depending on the
    state of the connection. (Closes: #240528,#312092,#389961)

  * debian/chrony.keys:
    - Highlight “chronyc keygen” command to generate keys.

  * debian/chrony.ppp.ip-down:
    - Be sure that there is no default route before going offline.
    (Closes: #252131)

  * debian/control:
    - Remove install-info dependency.
    - Remove texinfo build dependency since documentation in Texinfo format
    has been dropped upstream.
    - Build depend on asciidoctor ≥ 1.5.3-1~. The version constraint is
    important since chrony’s man pages are generated from “adoc” files, a
    functionality that has been added in asciidoctor 1.5.3.

  * debian/dirs:
    - Add “etc/NetworkManager/dispatcher.d”.

  * debian/doc-base:
    - Remove the file since we do not generate chrony.{html,txt} anymore.

  * debian/docs:
    - Remove references to chrony.{html,txt}.

  * debian/patches/*:
    - Drop fix-ftbfs-on-powerpc-ppc64-ppc64el.diff; applied upstream.
    - Update the “series” file accordingly.

  * debian/postinst:
    - Use ucfr to associate chrony with its configuration files. Suggested by
    Paul Gevers <elbrus@debian.org>

  * debian/postrm:
    - Remove all vestiges of the association between chrony and its
    configuration files. Also suggested by Paul Gevers <elbrus@debian.org>

  * debian/rules:
    - Provide upstream NetworkManager dispatcher script.

  * debian/watch:
    - Use HTTPS to fetch new upstream releases.
    - Switch to version 4 format.

 -- Vincent Blut <vincent.debian@free.fr>  Fri, 17 Jun 2016 17:20:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders: Joachim Wiedorn <joodebian@joonet.de>
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
- texinfo, bison,
+ bison,
  libedit-dev,
  libnss3-dev,
  libtomcrypt-dev,
  libcap-dev [linux-any],
  pps-tools (>= 0.20120406+g0deb9c7e-2),
  libseccomp-dev (>= 2.2.3-3~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc ppc64 ppc64el s390x x32],
- pkg-config
+ pkg-config,
+ asciidoctor (>= 1.5.3-1~)
 Homepage: https://chrony.tuxfamily.org
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/chrony.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/chrony.git
@@ -22,7 +23,6 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  ucf,
- install-info,
  iproute2 [linux-any],
  lsb-base,
  adduser,

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	dh_install
 	install -m 0755 -T debian/apm   $(BASE)/etc/apm/event.d/01chrony
 	install -m 0640 -t $(BASE)/usr/share/chrony/ debian/chrony.keys
+	install -m 0755 -T examples/chrony.nm-dispatcher $(BASE)/etc/NetworkManager/dispatcher.d/20-chrony
 
 override_dh_fixperms:
 	dh_fixperms -X usr/share/chrony/chrony.keys

## chrony 2.4.1

=== debian/changelog ===
chrony (2.4.1-2) unstable; urgency=medium

  * debian/chrony.conf:
    - Don’t create sample histories by default. Using that feature does not
    make a lot of sense when using a pool of rapidely rotating time servers.
    - Remove unused directives.
    - Improve (well, I hope! ;-) ) the configuration file readability.
    - Reword the driftfile directive commentary.
    - Shorten the lead-in comment.

  * debian/control:
    - Build-depend on pps-tools only on linux.
    - Remove libnss3-dev from Build-Depends until #846012 is fixed.

  * debian/init:
    - Don’t pass the “-r” option when restarting chronyd as we have disabled
    the creation of sample histories by default.

  * debian/rules:
    - Drop dh_auto_build override. Nowadays, the documentation is built by
    default.

 -- Vincent Blut <vincent.debian@free.fr>  Fri, 9 Dec 2016 16:58:32 +0100

chrony (2.4.1-1) unstable; urgency=medium

  * Import upstream version 2.4.1:
    - Please see /usr/share/doc/chrony/changelog.gz for the release notes.

  * debian/chrony.default:
    - New file used to pass options to chronyd. Thanks to nutzteil
    <nutzteil@web.de> for the suggestion and the initial patch.
    (Closes: #834240)

  * debian/compat:
    - Bump to debhelper compat 10.

  * debian/control:
    - Build depend on debhelper ≥ 10.

  * debian/copyright:
    - Use HTTPS for all URI.

  * debian/init:
    - Read and execute options assigned to the “DAEMON_OPTS” variable.

  * debian/rules:
    - Drop dh “--parallel” option. Enabled by default in debhelper 10.

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 21 Nov 2016 12:58:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Vincent Blut <vincent.debian@free.fr>
 Uploaders: Joachim Wiedorn <joodebian@joonet.de>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  bison,
  libedit-dev,
- libnss3-dev,
  libtomcrypt-dev,
  libcap-dev [linux-any],
- pps-tools (>= 0.20120406+g0deb9c7e-2),
+ pps-tools (>= 0.20120406+g0deb9c7e-2) [linux-any],
  libseccomp-dev (>= 2.2.3-3~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc ppc64 ppc64el s390x x32],
  pkg-config,
  asciidoctor (>= 1.5.3-1~)

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 BASE=debian/chrony
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure --  --mandir=/usr/share/man \
@@ -15,10 +15,6 @@
 		--enable-scfilter \
 		--chronysockdir=/run/chrony \
 		--with-ntp-era=$(shell date -d '1970-01-01 00:00:00+00:00' +'%s')
-
-override_dh_auto_build:
-	dh_auto_build
-	make docs
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## chrony 3.0

=== debian/changelog ===
chrony (3.0-4+deb9u2) stretch; urgency=medium

  * debian/patches/*:
    - Add allow-_llseek-in-seccomp-filter.patch. Needed on various 32-bit
    plateforms to log the {raw}measurements and statistics information when
    the seccomp filter is enabled. Thanks a lot to Francesco Poli (wintermute)
    <invernomuto@paranoici.org> for the report. (Closes: #923137)
    - Add allow-waitpid-in-seccomp-filter.patch. Needed to correctly stop
    chronyd on some plateforms when the seccomp filter is enabled.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 06 Mar 2019 11:13:29 +0100

chrony (3.0-4+deb9u1) stretch; urgency=medium

  * debian/chrony.if-up:
    - Do not pass the “burst” command to chronyc as the script could return an
    error in certain situations. As a consequence, that would prevent ifupdown
    from writing the current state of the interfaces in /run/network/ifstate.
    Thanks to John Eikenberry <jae@zhar.net> for reporting that issue.
    (Closes: #868491)

  * debian/chrony.ppp.ip-up:
    - Take the same action as for the “chrony.if-up” script as a precautionary
    measure.

 -- Vincent Blut <vincent.debian@free.fr>  Sat, 22 Jul 2017 17:24:44 +0200

chrony (3.0-4) unstable; urgency=medium

  * debian/patches/*:
    - Backport commit 768bce799bfe to make chrony operable with the syscall
    filtering feature enabled in level 1. (Closes: #861258)

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 26 Apr 2017 17:39:44 +0200

chrony (3.0-3) unstable; urgency=medium

  * debian/patches/*:
    - Backport an upstream patch to fix time smoothing in interleaved mode.
    (Closes: #854424)

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 07 Feb 2017 00:37:24 +0100

chrony (3.0-2) unstable; urgency=medium

  * debian/chrony.conf:
    - Disable logging by default, it waste some disk space and users are
    probably better served by “chronyc sources” and “chronyc sourcestats”
    commands anyway.

  * debian/chrony.service:
    - Remove the “Restart=on-failure” option. There are possible security
    implications for NTP clients.

  * debian/dirs:
    - Add etc/logrotate.d to avoid build failure.

  * Remove our logrotate configuration file in favour of the upstream’s one.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 18 Jan 2017 15:26:31 +0100

chrony (3.0-1) unstable; urgency=medium

  * Import upstream version 3.0:
    - Please see /usr/share/doc/chrony/changelog.gz for the release notes.

  * Merge branch “experimental”:
    - Enable support for MS-SNTP authentication in Samba.
    - Rename --chronysockdir to --chronyrundir.
    - Enable seccomp facility on powerpcspe.

  * debian/chrony.conf:
    - Make use of the “makestep” directive to step the system clock instead of
    slewing it when necessary.
    - Drop the “offline” option as per upstream’s advice to render chrony’s
    start-up sequence safer.

  * debian/chrony.service:
    - Reflect init-helper script deletion.

  * debian/copyright:
    - Add myself as a copyright holder for 2017.
    - Adjust copyright holders and update some copyright years. Kudos to Paul
    Gevers <elbrus@debian.org> for spotting the necessary updates.

  * debian/init:
    - Reflect init-helper script deletion.

  * debian/install:
    - Don’t install the init-helper script, it has been deleted.

  * debian/README.Debian:
    - Remove obsolete information.

  * Remove the init-helper script as it no longer needed.

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 17 Jan 2017 22:05:31 +0100

chrony (2.4.1-3) unstable; urgency=medium

  * debian/apm:
    - Removing that script as APM as been replaced by ACPI long time ago, thus
    it’s highly probable that it isn’t useful anymore.

  * debian/chrony.maintscript:
    - Remove the apm script’s conffile.

  * debian/chrony.service:
    - Supply a systemd service file.
    - Update unit section’s description. Add chronyc and chrony.conf man pages
    information and remove reference to “/usr/share/doc/chrony.txt.gz” which
    is not generated anymore.
    - Update unit section’s documentation.

  * debian/dirs:
    - Don’t create etc/apm/event.d as the apm script isn’t provided anymore.

  * debian/init:
    - Convert to use the init-helper script.

  * debian/init-helper:
    - Add a helper script that will be used to maintain feature parity between
    the SysV script and the systemd service file.

  * debian/install:
    - Install the init-helper script in “/usr/lib/chrony”.

  * debian/rules:
    - Don’t install the now removed apm script.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 22 Dec 2016 02:16:54 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

BASE=debian/chrony

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --  --mandir=/usr/share/man \
		--sysconfdir=/etc/chrony \
		--without-readline \
		--with-user=_chrony \
		--enable-scfilter \
		--chronyrundir=/run/chrony \
		--with-ntp-era=$(shell date -d '1970-01-01 00:00:00+00:00' +'%s') \
		--enable-ntp-signd

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	dh_install
	install -m 0640 -t $(BASE)/usr/share/chrony/ debian/chrony.keys
	install -m 0755 -T examples/chrony.nm-dispatcher $(BASE)/etc/NetworkManager/dispatcher.d/20-chrony
	install -m 0644 -T examples/chrony.logrotate $(BASE)/etc/logrotate.d/chrony

override_dh_fixperms:
	dh_fixperms -X usr/share/chrony/chrony.keys

## chrony 3.1

=== debian/changelog ===
chrony (3.1-5) unstable; urgency=medium

  * debian/chrony.if-up:
    - Do not pass the “burst” command to chronyc as the script could return an
    error in certain situations. As a consequence, that would prevent ifupdown
    from writing the current state of the interfaces in /run/network/ifstate.
    Thanks to John Eikenberry <jae@zhar.net> for reporting that issue.
    (Closes: #868491)

  * debian/chrony.ppp.ip-up:
    - Take the same action as for the “chrony.if-up” script as a precautionary
    measure.

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 17 Jul 2017 16:47:56 +0200

chrony (3.1-4) unstable; urgency=medium

  * Now that Stretch has been released (\o/), let’s upload chrony 3.1 to
    unstable.

  * debian/:
    - Remove the menu file used to launch “chronyc”. It is a CLI only tool,
    thus it probably does not make a lot of sense to keep it in the Debian
    menu.

  * debian/control:
    - Drop dependency on pre-jessie util-linux version.
    - Bump standard-version to 4.0.0 (no changes required).

  * debian/tests/upstream-simulation-test-suite:
    - Fix the leading comment which mentioned “vm” despite the fact that the
    test runs in a container.

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 19 Jun 2017 02:30:10 +0200

chrony (3.1-3) experimental; urgency=medium

  * debian/chrony.if-{post-down,up}:
    - Remove unnecessary “else” statements.

  * debian/chrony.ppp.ip-down:
    - Don’t check and delete “/var/run/chrony-ppp-up”, that file doesn’t exist
    anymore.
    - Check for pid file existence instead of calling “pidof”.

  * debian/chrony.ppp.ip-up:
    - Don’t create “/var/run/chrony-ppp-up” file after the ppp link came up.
    - Check for pid file existence instead of calling “pidof”.
    - Don’t call “chronyc” using its absolute path.
    - Check for the presence of a default route before advising “chronyd” that
    the network connectivity to the sources is ready.

  * debian/init:
    - Check if “$PIDFILE” exists before taking action.
    - Do not print informational messages.
    - Remove the “chronyd” pid file when stopping as it doesn’t do it on
    its own.
    - Rework the “restart|force-reload” pattern.
    - Make use of some init-functions.
    - Print a message if “chronyd” is already running while attempting to start
    it.
    - Do not delete “/var/run/chrony-ppp-up”, that file doesn’t exist anymore.

  * d/rules:
    - Move the default pid file from “/var/run” to “/run”.

  * d/tests/*:
    - Use autopkgtest facility to run the upstream simulation test suite.

 -- Vincent Blut <vincent.debian@free.fr>  Sun, 14 May 2017 17:26:15 +0200

chrony (3.1-2) experimental; urgency=medium

  * Merge branch 'master' into experimental. (Closes: #861258)

  * debian/patches/*:
    - Remove the “fix_time_smoothing_in_interleaved_mode.patch” patch. Not
    needed anymore.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 26 Apr 2017 21:17:43 +0200

chrony (3.1-1) experimental; urgency=medium

  * Import upstream version 3.1:
    - Please see /usr/share/doc/chrony/changelog.gz for the release notes.

  * debian/chrony.conf:
    - Remove the “hwclockfile” directive. Unneeded now that the configure
    script allows us to set the default path to the adjtime file via the
    “--with-hwclockfile” option.

  * debian/copyright:
    - Update copyright years.

  * debian/rules:
    - Specify default path to hwclock adjtime file.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 02 Feb 2017 19:24:30 +0100

chrony (3.0~pre3-1) experimental; urgency=low

  * Import upstream version 3.0-pre3:
    - Please see /usr/share/doc/chrony/changelog.gz for the release notes.

 -- Vincent Blut <vincent.debian@free.fr>  Fri, 06 Jan 2017 14:20:13 +0100

chrony (3.0~pre2-2) experimental; urgency=low

  * Merge branch “master”.

  * Enable seccomp facility on powerpcspe.

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 03 Jan 2017 18:17:13 +0100

chrony (3.0~pre2-1) experimental; urgency=low

  * Import upstream version 3.0-pre2:
    - Please see /usr/share/doc/chrony/changelog.gz for the release notes.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 15 Dec 2016 15:23:44 +0100

chrony (3.0~pre1-1) experimental; urgency=low

  * Import upstream version 3.0-pre1:
    - Please see /usr/share/doc/chrony/changelog.gz for the release notes.

  * debian/copyright:
    - Mention new files.

  * debian/rules:
    - Enable support for MS-SNTP authentication in Samba.
    - Rename --chronysockdir to --chronyrundir.

 -- Vincent Blut <vincent.debian@free.fr>  Sat, 10 Dec 2016 16:30:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Vincent Blut <vincent.debian@free.fr>
 Uploaders: Joachim Wiedorn <joodebian@joonet.de>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 10),
  bison,
  libedit-dev,
  libtomcrypt-dev,
  libcap-dev [linux-any],
  pps-tools (>= 0.20120406+g0deb9c7e-2) [linux-any],
- libseccomp-dev (>= 2.2.3-3~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc ppc64 ppc64el s390x x32],
+ libseccomp-dev (>= 2.2.3-3~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x x32],
  pkg-config,
  asciidoctor (>= 1.5.3-1~)
 Homepage: https://chrony.tuxfamily.org
@@ -24,8 +24,7 @@
  ucf,
  iproute2 [linux-any],
  lsb-base,
- adduser,
- util-linux (>= 2.20.1-5)
+ adduser
 Conflicts: time-daemon, ntp
 Provides: time-daemon
 Replaces: time-daemon

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,9 @@
 		--enable-scfilter \
 		--chronyrundir=/run/chrony \
 		--with-ntp-era=$(shell date -d '1970-01-01 00:00:00+00:00' +'%s') \
-		--enable-ntp-signd
+		--enable-ntp-signd \
+		--with-hwclockfile=/etc/adjtime \
+		--with-pidfile=/run/chronyd.pid
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
